---
title: RTCPeerConnection.getSenders()
slug: Web/API/RTCPeerConnection/getSenders
tags:
  - Media
  - Method
  - NeedsExample
  - RTCPeerConnection
  - RTCRtpSender
  - RTP
  - Reference
  - WebRTC
  - WebRTC API
  - getSenders
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCPeerConnection")}} method <code><strong>getSenders()</strong></code> returns an array of {{domxref("RTCRtpSender")}} objects, each of which represents the RTP sender responsible for transmitting one track's data.</span> A sender object provides methods and properties for examining and controlling the encoding and transmission of the track's data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>senders</em> = <em>rtcPeerConnection</em>.getSenders();
</pre>

<h3 id="Return_value">Return value</h3>

<p>An array of {{domxref("RTCRtpSender")}} objects, one for each track on the connection. The array is empty if there are no RTP senders on the connection.</p>

<p>The order of the returned <code>RTCRtpSender</code>s is not defined by the specification, and may change from one call to <code>getSenders()</code> to the next.</p>

<h2 id="Example">Example</h2>

<p>In this example, a <code>setMuting()</code> function is shown. This function takes as input an {{domxref("RTCPeerConnection")}}, <code>pc</code>, and a Boolean, <code>muting</code>. The function gets the list of the peer connection's senders and iterates over every sender, setting the corresponding media track's {{domxref("MediaStreamTrack.enabled", "enabled")}} to the inverse of the specified <code>muting</code>.</p>

<pre class="brush: js notranslate">function setMuting(pc, muting) {
  let senderList = pc.getSenders();

  senderList.forEach(sender) {
    sender.track.enabled = !muting;
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-peerconnection-getsenders', 'RTCPeerConnection.getSenders()') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.getSenders")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC_API">WebRTC</a></li>
 <li>{{domxref("RTCRtpSender")}}</li>
</ul>
